apiVersion: tekton.dev/v1
kind: PipelineRun
metadata:
  generateName: windows10-qe-virtio-installer-run
  annotations:
    pipelinesascode.tekton.dev/pipeline: "pipeline/windows-autounattend.yaml"
    pipelinesascode.tekton.dev/task: "tasks/kubevirt-disk-uploader.yaml"
    pipelinesascode.tekton.dev/on-comment: "^/windows10-qe-virtio"
    pipelinesascode.tekton.dev/on-event: "[incoming,push]"
    pipelinesascode.tekton.dev/on-target-branch: "[main]"
    pipelinesascode.tekton.dev/on-cel-expression: >-
      (target_branch == "main") &&
      (files.all.exists(x, x.matches('.tekton/windows-qe-virtio.yaml|configmaps/autounattend/windows10-qe-virtio.yaml')))
spec:
  params:
    - name: result-registry-url
      value: cnv-qe-artifactory.apps.ocp-virt.prod.psi.redhat.com/docker/windows-qe/win_10:virtio
    - name: source-dv-name
      value: windows-10-source
    - name: autounattendXMLConfigMapFileName
      value: windows10-qe-virtio.yaml
    - name: autounattendConfigMapName
      value: windows10-qe-virtio-autounattend
    - name: baseDvName
      value: win10-qe-virtio
    - name: isoDVName
      value: win10-qe-virtio
    - name: preferenceName
      value: windows.10.virtio
    - name: testingModeEnabled
      value: false
    - name: imageSize
      value: 30Gi
    - name: revision
      value: "{{revision}}"
  timeouts:
    pipeline: 20h
    tasks: 8h
  pipelineRef:
    name: windows-autounattend
  taskRunSpecs:
    - pipelineTaskName: "modify-windows-iso-file"
      podTemplate:
        securityContext:
          runAsUser: 107
          fsGroup: 107
  workspaces:
    - name: basic-auth
      secret:
        secretName: "{{git_auth_secret}}"
    - name: output
      volumeClaimTemplate:
        spec:
          accessModes:
            - ReadWriteOnce
          resources:
            requests:
              storage: 1Gi